[Property]
IntegratorID.column='IntegratorID'
IntegratorID.type=int

kod.column='IntegratorPropertyID'
kod.type=string

id_firma.column='IntegratorOfficeID'
id_firma.type=int

id_uzivatel.column='IntegratorSalesAssociateID'
id_uzivatel.type=int

RegionID.column='RegionID'
RegionID.type=int
RegionID.isOpt=1

CommercialResidential.column='CommercialResidential'
CommercialResidential.type=int
CommercialResidential.isOpt=1
;1 = rezidencni
;2 = komercni

nemovitost_uir_cp.column='StreetNumber'
nemovitost_uir_cp.type='string'
;nemovitost_uir_cp.unset='"@this" ? @null : @_convertedValue'
nemovitost_uir_cp.unset='@null'

nemovitost_uir_ulice_text.column='StreetName'
nemovitost_uir_ulice_text.type=string
nemovitost_uir_ulice_text.unset='@null'

;nemáme ApartmentNumber
;nemáme PostalCode

CityID.column='CityID'
CityID.type=int

LocalZoneID.column='LocalZoneID'
LocalZoneID.type=int
LocalZoneID.unset=@null

nemovitost_podlazi_cislo.column='FloorLevel'
nemovitost_podlazi_cislo.type=int
nemovitost_podlazi_cislo.unset='@null'
nemovitost_podlazi_cislo.isOpt=1
;převod se dokončuje v php

skryvani_adresy.column='ShowAddressOnWeb'
skryvani_adresy.type=string
;True nebo False - PHP

CurrentListingPrice.column='CurrentListingPrice'
CurrentListingPrice.type=float
CurrentListingPrice.value='@zakazka_typ==1 ? @nemovitost_cena_prodej : @nemovitost_cena_pronajem'

nemovitost_mena.column='CurrentListingCurrency'
nemovitost_mena.type=string
nemovitost_mena.isOpt=1
;nemovitost_mena.convert.0='CZK'
nemovitost_mena.convert.1='CZK'
nemovitost_mena.convert.2='USD'
nemovitost_mena.convert.3='EUR'

;PriceType zatím radší ne (není příliš kompatibilní s našimi číselníky)

nemovitost_cena_pronajem_jednotka.column='RentalPriceGranularity'
nemovitost_cena_pronajem_jednotka.type=int
nemovitost_cena_pronajem_jednotka.isOpt=1
nemovitost_cena_pronajem_jednotka.convert.2=2
nemovitost_cena_pronajem_jednotka.convert.4=8
nemovitost_cena_pronajem_jednotka.convert.5=9
nemovitost_cena_pronajem_jednotka.convert.6=4
nemovitost_cena_pronajem_jednotka.convert.7=5
nemovitost_cena_pronajem_jednotka.unset='@zakazka_typ==1 ? @_convertedValue : @null'

;skryvani ceny
HidePricePublic.column='HidePricePublic'
HidePricePublic.type=string
HidePricePublic.isOpt=1

;SoldPrice & SoldPriceCurrency & SoldDate zatím neřeším

zakazka_typ.column='TransactionType'
zakazka_typ.type=int
zakazka_typ.isOpt=1
zakazka_typ.convert.1=2
zakazka_typ.convert.2=1

zakazka_typ_smlouvy.column='ContractType'
zakazka_typ_smlouvy.type=int
zakazka_typ_smlouvy.isOpt=1
zakazka_typ_smlouvy.convert.10=1
zakazka_typ_smlouvy.convert.20=3
zakazka_typ_smlouvy.convert.30=3

nemovitost_stav_objektu.column='PropertyStatus'
nemovitost_stav_objektu.type=int
nemovitost_stav_objektu.isOpt=1
nemovitost_stav_objektu.convert.1=10
nemovitost_stav_objektu.convert.2=14
nemovitost_stav_objektu.convert.3=15
nemovitost_stav_objektu.convert.4=13
nemovitost_stav_objektu.convert.5=3
nemovitost_stav_objektu.convert.6=10
nemovitost_stav_objektu.convert.7=15
nemovitost_stav_objektu.convert.8=15
nemovitost_stav_objektu.convert.9=15
nemovitost_stav_objektu.convert.10=14
nemovitost_stav_objektu.convert.0=7
nemovitost_stav_objektu.value='@this ? @this : 0'
;hlidame i situaci kdy nemame stav a nebo mame desaty slovensky stav

PropertyType.column='PropertyType'
PropertyType.type=int
PropertyType.isOpt=1
;Prevod v Php

;PropertyCategory zduplicitní k viz výše?

zakazka_stav.column='ListingStatus'
zakazka_stav.type=int
zakazka_stav.isOpt=1
zakazka_stav.convert.10=12
zakazka_stav.convert.20=1
zakazka_stav.convert.30=8
zakazka_stav.convert.40=2
zakazka_stav.convert.41=6
zakazka_stav.convert.50=5

TotalArea.column='TotalArea'
TotalArea.type=int
;prevod v phP

;LivingArea - nechám na makléřích, ti rozdílům mezi plochami rozumí líp než já

;LotSize nechceme protože máme LotSizeM2
LotSizeM2.column='LotSizeM2'
LotSizeM2.type=int

TotalNumOfRooms.column='TotalNumOfRooms'
TotalNumOfRooms.type=int
;+prevod v php - dispozice

NumberOfBedrooms.column = 'NumberOfBedrooms'
NumberOfBedrooms.type = 'int'

;nemáme NumberOfBathrooms & NumberOfToiletRooms

nemovitost_pocet_podlazi.column='NumberOfFloors'
nemovitost_pocet_podlazi.type=int

nemovitost_bytu_celkem.column = 'NumberOfApartmentsInBuilding'
nemovitost_bytu_celkem.type = 'int'
nemovitost_bytu_celkem.unset = 0

nemovitost_rok_vystavby.column='YearBuild'
nemovitost_rok_vystavby.type=int
nemovitost_rok_vystavby.unset='@this ? @null : @_convertedValue'

;AvailabilityDate & OrigListingDate & ExpiryDate & AlternateURL nemáme nebo radši nechceme posílat

nemovitost_virtualni_prohlidka.column = 'VirtualTour'
nemovitost_virtualni_prohlidka.type = 'string'

PropertyDescriptions.column='PropertyDescriptions'
PropertyDescriptions.type=subNode

Images.column='Images'
Images.type=subNode
Images.subNodeName='blank'

nabidka_gps_x.column='Latitude'
nabidka_gps_x.type=string
nabidka_gps_x.value='degToFloat<@this>'
nabidka_gps_x.unset='"@this"=="0" ? @_convertedValue : @null'

nabidka_gps_y.column='Longitude'
nabidka_gps_y.type=string
nabidka_gps_y.value='degToFloat<@this>'
nabidka_gps_y.unset='"@this"=="0" ? @_convertedValue : @null'

LanguageID.column='LanguageID'
LanguageID.type=int
LanguageID.isOpt=1

nemovitost_popis_detailni.column='DescriptionText'
nemovitost_popis_detailni.type=string

;translations.column = 'translations' ; překlady nabídek - zatím zakomentováno
;translations.type = 'array of array'

;FeatureID neumím zakódovat
;CommPropertyType neumím zakódovat

;[CommercialResidential]

[SalesAssociate]
IntegratorID.column='IntegratorID'
IntegratorID.type=int

id.column='IntegratorSalesAssociateID'
id.type=int

id_firma.column='IntegratorOfficeID'
id_firma.type=int

RegionID.column='RegionID'
RegionID.type=int
RegionID.isOpt=1
RegionID.value=@RegionID

IntlAgentID.column='IntlAgentID'
IntlAgentID.type=int
IntlAgentID.value=@id

IsSalesAssociate.column='IsSalesAssociate'
IsSalesAssociate.type=string
IsSalesAssociate.value='True'
IsSalesAssociate.isOpt=1

uzivatel_os_jmeno.column='FirstName'
uzivatel_os_jmeno.type=string

uzivatel_os_prijmeni.column='LastName'
uzivatel_os_prijmeni.type=string

email.column='Email'
email.type=string

telefon.column='Phone'
telefon.type=string

aktivni.column = 'Disabled'
aktivni.type = 'string'
aktivni.isOpt = true
aktivni.value = '@this ? False : True'

MainAgentSpecialization.column='MainAgentSpecialization'
MainAgentSpecialization.type=int
MainAgentSpecialization.isOpt=1

ImageFileName.column = 'ImageFileName'
ImageFileName.type = 'string'

Gender.column='Gender'
Gender.type=int
Gender.isOpt=1
Gender.value=1
;fujky fujky;  v php detekce žen podle "ová"

DateJoinedREMAX.column='DateJoinedREMAX'
DateJoinedREMAX.type=string

RemaxTitle.column='RemaxTitle'
RemaxTitle.type=int
RemaxTitle.isOpt=1
;taky konstanta (automaticky čekám že jsou všichni makléři)
RemaxTitle.value=1

cancelAllListings.column = 'CancelAllListings'
cancelAllListings.type = 'string'
cancelAllListings.isOpt = true
cancelAllListings.value = '@this ? True : False'

TransferToOfficeID.column = 'TransferToOfficeID'
TransferToOfficeID.type = 'int'

IncludeListingsInTransfer.column = 'IncludeListingsInTransfer'
IncludeListingsInTransfer.type = 'string'

[Office]
IntegratorID.column='IntegratorID'
IntegratorID.type=int

id_firma.column='IntegratorOfficeID'
id_firma.type=int

RegionID.column='RegionID'
RegionID.type=int
RegionID.isOpt=1

IntlOfficeID.column='IntlOfficeID'
IntlOfficeID.type=int

fakt_jmeno.column='OfficeName'
fakt_jmeno.type=string

fakt_ulice.column='Address1'
fakt_ulice.type=string

CityID.column='CityID'
CityID.type=int
CityID.value=@CityID

fakt_psc.column='PostalCode'
fakt_psc.type=string

firma_gps_x.column = 'Latitude'
firma_gps_x.type = 'float'
firma_gps_x.value = 'degToFloat<@this> ? degToFloat<@this> : @Latitude'

firma_gps_y.column = 'Longitude'
firma_gps_y.type = 'float'
firma_gps_y.value = 'degToFloat<@this> ? degToFloat<@this> : @Longitude'

email.column='Email'
email.type=string

telefon.column='Phone'
telefon.type=string

www.column = 'URLToPrivatePage'
www.type = 'string'

disabled.column = 'Disabled'
disabled.type = 'string'
disabled.isOpt = true
disabled.value = '@this ? True : False'

ImageFileName.column = 'ImageFileName'
ImageFileName.type = 'string'
ImageFileName.unset = '"@this" ? @null : @this'

officedescription.column = 'OfficeDescription'
officedescription.type = 'string'
